Bug 1259911 - Moving fedora install from non-RAID to RAID array rd.md.uuid not set automatically
Summary: Moving fedora install from non-RAID to RAID array rd.md.uuid not set automati...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: grubby
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-03 18:49 UTC by srakitnican
Modified: 2016-07-19 17:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 17:46:33 UTC


Attachments (Terms of Use)

Description srakitnican 2015-09-03 18:49:00 UTC
By moving fedora from single disk to RAID array and then re-installing grub does not set automatically rd.md.uuid kernel parameter resulting in an unbootable state.

For scenario like following:

# mount /dev/md126p2 /mnt
# for d in /sys /dev /run /proc ; do mount -v --bind "$d" /mnt"$d" ; done
# chroot /mnt
# dracut -v --force --regenerate-all
# grub2-install /dev/md126
# grub2-mkconfig -o /boot/grub2/grub.cfg


It would be nice if grub2-mkconfig detects that its / is an RAID array and automatically adds corresponding rd.md.uuid to GRUB_CMDLINE_LINUX in file /etc/default/grub.

For more info see: https://bugzilla.redhat.com/show_bug.cgi?id=1201962

Comment 1 David Woodhouse 2015-09-04 13:44:33 UTC
This isn't just when moving from a single disk to a RAID array. Upgrades of existing systems from earlier versions of Fedora to F22 are breaking.

This is a serious "fails to boot after upgrade" regression, not a "nice to have if I do dangerous stuff no sane person should expect to work out of the box" RFE, as one might infer from the above description.

Comment 2 srakitnican 2015-09-04 14:03:59 UTC
I was just moving my install from single disk to RAID, so I was reporting bug for that. Did not know (or I knew but forget) that upgrading fedora breaks also. I am not sure if that is grub2-mkconf job or Fedora update script, but sure this would solve both cases.

Comment 3 alan 2015-11-25 22:00:38 UTC
Hit the same mess upgrading my mail server. Been working for years for loads of releases and F22 broke it.

Comment 4 Fedora End Of Life 2016-07-19 17:46:33 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.